<?php
require("../../inc/lib.inc");
require("../serverStatusImprove/function.inc");

$global_id=0;
function AssignID()
{
	global $global_id;
	
	$id="ID_{$global_id}";
	$global_id++;
	return $id;
}

if(0)
{
	echo "platID=$platID,subSysNo=$subSysNo";
}

$config=parse_ini_file("config.ini",true);
$config_count=sizeof($config);


$platDetailInfo=GetDetailPlatInfo($sysNo,$subSysNo,2);

//version
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[IPTRANS][Version][Value]},#0000FF;";

//Status
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[IPTRANS][Status][Value]},#0000FF;";

//RefreshTime
$id=AssignID();
$total_response.="$id,block,{$platDetailInfo[RefreshTime][Value]},#0000FF;";

for($j=0;$j<256;$j++)
{ 
  
  $id=AssignID();
  if(strcmp($platDetailInfo[SCCP][LocalNode][$j][Flag],"1")==0)
  { 	
    $total_response.="$j,layerShow,,;";
 
    $total_response.="$id,block,$j,#000000;";
    $id=AssignID();
    $total_response.="$id,block,{$platDetailInfo[SCCP][LocalNode][$j][Value1]},#000000;";
    
  }
  else
  { 
    $total_response.="$j,layerHide,,;";
 
    $total_response.="$id,none,{$platDetailInfo[SCCP][LocalNode][254][Flag]},#000066;";
    $id=AssignID();
    $total_response.="$id,none,{$platDetailInfo[SCCP][LocalNode][254][Flag]},#000066;";
    
  }
}


debug_log("/tmp/goodd.txt",$total_response);
echo "$total_response";
?>

